<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Form\Fields\Component;

class CategoryAttributeComponent extends \DropshippingExportFreeVendor\WPDesk\Forms\Field\BasicField
{
    public function set_items(array $items): self
    {
        $this->meta['items'] = $items;
        return $this;
    }
    public function get_items(): array
    {
        return isset($this->meta['items']) && is_array($this->meta['items']) ? $this->meta['items'] : [];
    }
    public function get_template_name(): string
    {
        return 'category-attribute';
    }
}
